Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl.ah
Class MediaTypeAttributeHandler

    java.lang.Object
      oracle.ifs.fdk.impl.ah.ReadOnlyAttributeHandler
          oracle.ifs.fdk.impl.ah.MediaTypeAttributeHandler

All Implemented Interfaces:
  AttributeHandler

    public class MediaTypeAttributeHandler

extends ReadOnlyAttributeHandler

Handles MEDIA_TYPE attribute on MEDIA.

Method Summary
`boolean` | `canHandle(AttributeHandlerContext context)` Returns `true` if this handler can handle the attribute request on the given object instance.
`static MediaTypeAttributeHandler` | `getInstance()`
`java.lang.Object` | `getValue(AttributeHandlerContext context)` Returns the value of an attribute.

Methods inherited from class oracle.ifs.fdk.impl.ah.ReadOnlyAttributeHandler
`canUpdate, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static MediaTypeAttributeHandler getInstance()

  Returns:
    The singleton instance.

### canHandle

    public boolean canHandle(AttributeHandlerContext context)

  Description copied from class: `MediaTypeAttributeHandler`
  Returns `true` if this handler can handle the attribute request on the given object instance. The necessary information to determine which attribute is requested and what the underlying repository object is will be packaged in the context.

  Parameters:
    `context` - The context when this handler is called.

### getValue

    public java.lang.Object getValue(AttributeHandlerContext context)
                              throws IfsException

  Description copied from class: `MediaTypeAttributeHandler`
  Returns the value of an attribute. This method must throw a `RuntimeException` if `canHandle()` returns `false` and this method is still being called.

  Note that implementations which handle read-only attributes should subclass `ReadOnlyAttributeHandler` for convenience as they would need to provide the read side methods only.

  Parameters:
    `context` - The context when this handler is called.
  Throws:
    `IfsException` - If a repository exception occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD